{ *********************************************************************** }
{                                                                         }
{ Adit Math Engine                                                        }
{ Math Demo                                                               }
{                                                                         }
{ Copyright (c) 2015-21 Adit Software http://www.aditmath.com/            }
{                                                                         }
{ *********************************************************************** }


unit frmMain;

interface

uses
  Winapi.Windows, Winapi.Messages,
  System.Types, System.SysUtils, System.Variants, System.Classes, System.Math,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Grids,
  Vcl.Themes, Vcl.ComCtrls, Vcl.ExtCtrls, Vcl.Clipbrd, Vcl.Menus,
  MathTable, MathParser, MathPresentation, MathEquation, MathComponent,
  MathScroll;

type
  TMainForm = class(TForm)
    memText: TMemo;
    mc: TMathControl;
    spl: TSplitter;
    MathControl1: TMathControl;
    Splitter1: TSplitter;
    pnlPhoto: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure memTextChange(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FEquation: TMathEquation;
    procedure UpdateText;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.UpdateText;
var
  Error: string;
  Position: integer;
begin
  mc.TrySetText(memText.Lines.Text, Error, Position);
end;


procedure TMainForm.FormCreate(Sender: TObject);
begin
  FEquation := TMathEquation.Create(nil);
  FEquation.Properties.FontsizeDouble := 36;
  FEquation.DisplayInline := True;
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  FreeAndNil(FEquation);
end;
procedure TMainForm.memTextChange(Sender: TObject);
begin
  UpdateText;
end;

end.
